# SWDB

# application/actionlogout.php

File for the login action.

Implements an action function to be called from the {@see Controller}.

Package
  \Default

## Tags

category | Action

## Functions

### action()

    action(resource  $db = null) : integer

Logs the user out and redirects to the login page.

Invalidates cookies and session variables.

#### Parameters

resource | $db | Database connection.

#### Returns

integer —

0.

#

File
  application/action/logout.php

## Tags

package | Default
category | Action
global | int The user id.

###